local Ch = CBW_Chaos
local Lib = CBW_Chaos_Library

//Chaos Mode compatibility
local info = mobjinfo[MT_JAWS]
info.name = "Jaws"
info.article = "a"
info.chaosmode = true
info.difficulty = 1
info.spawnweight = 7
info.spawnbiome = 'water'
info.spawntype = 'enemy'
info.spawnsubtype = {'water','watersurface'}
info.spawnfrequency = 1
info.painchance = 6
info.flashingtime = 24
info.seesound = sfx_spkdth
info.bumptype = 1
info.flincharmor = true
info.scale = FRACUNIT

addHook('MobjSpawn',function(mo)
	if Lib 
		Lib.EnemyInit(mo)
	end
end,MT_JAWS)